Summary:	CUDF (Common Upgradeability Description Format) tools and libraries
Name:		cudf
Version:	0.6.3
Release:	%mkrel 6
Source0:	http://gforge.info.ucl.ac.be/frs/download.php/190/%{name}-%{version}.tar.gz
URL:		http://www.mancoosi.org/cudf/
Patch0:		cudf-0.6.3-extlib.patch
License:	LGPLv3 with linking exception
Group:		Development/Other
BuildRequires:	ocaml-compiler
BuildRequires:	ocaml-findlib camlp4 ocaml-extlib-devel ocaml-ounit-devel
BuildRequires:	glib2-devel ncurses-devel

%description
CUDF (for Common Upgradeability Description Format) is a format for describing
upgrade scenarios in package-based Free and Open Source Software distribution.

libCUDF is a library to manipulate so called CUDF documents. A CUDF document
describe an upgrade problem, as faced by package managers in popular
package-based GNU/Linux distributions.

%package	tools
Summary:	CUDF (Common Upgradeability Description Format) command-line tools

%description	tools
This package contains command line tools to manipulate CUDF and related
documents. In particular it contains cudf-check, which enables checking of
document properties such as installation consistency and matching of problems
with their solutions.

%package	devel
Summary:	CUDF (Common Upgradeability Description Format) C development stuff

%description	devel
This package contains the development stuff needed to use libCUDF in your C
programs.

%package -n	ocaml-cudf
Summary:	CUDF (Common Upgradeability Description Format) OCaml development stuff
Group:		Development/OCaml
%rename cudf-ocaml-devel

%description -n	ocaml-cudf
This package contains the development stuff needed to use libCUDF in your OCaml
programs.

%package -n	ocaml-cudf-devel
Summary:	Development files for ocaml-cudf
Group:		Development/OCaml
Requires:	ocaml-cudf = %{version}

%description -n	ocaml-cudf-devel
The ocaml-cudf-devel package contains libraries and signature files for
developing applications that use ocaml-cudf.


%prep
%setup -q
%patch0 -p1

%build
make all c-lib
which /usr/bin/ocamlopt > /dev/null && make opt c-lib-opt

%install
%makeinstall_std LIBDIR="%{_libdir}" OCAMLLIBDIR="%{_libdir}/ocaml"
rm -f %{buildroot}%{_libdir}/ocaml/cudf/*.o


%check
make test

%files tools
%{_bindir}/cudf-check
%{_bindir}/cudf-parse-822

%files devel
%{_includedir}/cudf.h
%{_libdir}/*.a
%{_libdir}/pkgconfig/cudf.pc

%files -n ocaml-cudf
%dir %{_libdir}/ocaml/cudf
%{_libdir}/ocaml/cudf/META
%{_libdir}/ocaml/cudf/*.cmi
%{_libdir}/ocaml/cudf/*.cma


%files -n ocaml-cudf-devel
%{_libdir}/ocaml/cudf/*.a
%{_libdir}/ocaml/cudf/*.mli
%{_libdir}/ocaml/cudf/*.cmx
%{_libdir}/ocaml/cudf/*.cmxa



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.6.3-6.mga4
+ Revision: 536415
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 blue_prawn <blue_prawn> 0.6.3-5.mga4
+ Revision: 484236
- rebuild for ocaml-4.01.0

* Fri Jan 11 2013 umeabot <umeabot> 0.6.3-4.mga3
+ Revision: 348394
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 blue_prawn <blue_prawn> 0.6.3-3.mga3
+ Revision: 324540
- update for new extlib
- rebuild for new ocaml 4.00
- new rpm group for ocaml

* Sat Aug 04 2012 malo <malo> 0.6.3-1.mga3
+ Revision: 278455
- update to 0.6.3
- split ocaml lib (new devel package)

* Sat Feb 18 2012 malo <malo> 0.6.2-2.mga2
+ Revision: 210165
- renaming cudf-ocaml-devel to ocaml-cudf, per ocaml policy

* Mon Feb 06 2012 malo <malo> 0.6.2-1.mga2
+ Revision: 205636
- new version 0.6.2

* Wed Oct 05 2011 shlomif <shlomif> 0.6.1-1.mga2
+ Revision: 152052
- New version thank to Malo.

  + fwang <fwang>
    - rebuild for new ocaml

* Tue Apr 12 2011 ennael <ennael> 0.5.99-1.mga1
+ Revision: 83665
- fix release tag
- imported package cudf


* Thu Apr 07 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.5.99-1
+ Revision: 651784
- add glib2-devel to buildrequires
- add ncurses-devel to buildrequires
- imported package cudf


* Thu Apr  7 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.5.99-1
- first mandriva release

* Tue Dec 22 2009 Stefano Zacchiroli <zack@pps.jussieu.fr>
- use default rpm installation paths (in particular, /usr/lib64 on x86_64)

* Sat Dec 19 2009 Stefano Zacchiroli <zack@pps.jussieu.fr>
- various adjustments (deps, description, native code, ...)

* Fri Dec 18 2009 Jeff Johnson <jbj@rpm5.org>
- create.
